<?php setcookie("login", $_COOKIE["login"] , time()+3600, "/", "deim.etse.urv.es", 1 ); ?>
<?php setcookie("sessio", $_COOKIE["sessio"] , time()+3600, "/", "deim.etse.urv.es", 1 ); ?>
<html>
  <head>
    <link rel="stylesheet" href="../estils/hoja.css" type="text/css">
    <title>Afegir tesi</title>
  </head>

  <body leftmargin="0" topmargin="0" bgcolor="#8F0000">
    <table border="0" width="100%" height="100%" cellpadding="0" cellspacing="0">
      <tr>
        <!-- Menú dret -->
        <td align="left" valign="top" width="100" bgcolor="#4F0000">
          <?php include("../menu.inc") ?>
        </td>

        <!-- Capçalera -->
        <td align="left" valign="top" width="100%" class="centered">
        <h2>Departament d'Enginyeria Informàtica i Matemàtiques</h2>
        <img src="images/separador.gif">
        <br><br>
        <div align="left"><blockquote>

        <!-- Començament del cos -->
        <?php 
          require("../private/connect.inc");
          require("../private/ident.inc");
          require("../private/text.inc");
          ident();
      	  autoritzar($_COOKIE["login"], "tesis");
        ?>
        <h2>Administració Tesis: Afegir</h2>
        <?php
              $error=false;
              echo "<table cellpadding=0 cellspacing=0 width=75% bgcolor=#dd0000>";
              if ($_POST["titol"] == ""){
                echo "<tr><td><b>ERROR: El <u>titol</u> no pot estar buit!</td></tr>";
                $error=true;
              }
              if ($_POST["resum"] == ""){
                echo "<tr><td><b>ERROR: El <u>resum</u> no pot estar buit!</td></tr>";
                $error=true;
              }
              if ($_POST["id1"] == ""){
                echo "<tr><td><b>ERROR: El <u>director</u> no pot estar buit!</td></tr>";
                $error=true;
              }
              if ((($_POST["id1"] == $_POST["id2"]) OR ($_POST["id2"]==$_POST["id3"]) OR
                 ($_POST["id1"] == $_POST["id3"])) AND ($_POST["id3"] != "Cap")) {
                echo "<tr><td><b>ERROR: Els <u>directors</u> no poden estar repetits!</td></tr>";
                $error=true;
              }
              echo "</table>";
              echo "<b>Titol:</b><br>" . htmlspecialchars($_POST["titol"]) . "<br><br>";
              echo "<b>Paraules clau:</b><br>" . htmlspecialchars($_POST["keywords"]) . "<br><br>";
              echo "<b>Assignatures relacionades:</b><br>" .
              htmlspecialchars($_POST["assignatures_rel"]) .
              "<br><br>";
              echo "<b>Director/a(s)</b><br>" . htmlspecialchars($_POST["id1"]) . "<br>";
              if ($_POST["id2"] != "Cap"){
                echo htmlspecialchars($_POST["id2"]) . "<br>";
              }
              if ($_POST["id3"] != "Cap"){
                echo htmlspecialchars($_POST["id3"]) . "<br>";
              }
              echo "<br>";
              echo "<b>Categoria</b><br>";
              echo htmlspecialchars($_POST["categoria"]) . "<br><br>";
              echo "<b>Resum:</b><br>" . format_all($_POST["resum"]);
              echo "<br><br>";
              echo "<b>Idioma:</b><br>";
              echo htmlspecialchars($_POST["idioma"]) . "<br><br>";
              if ($error == false) {
                echo "<form action=\"afegirdb.php\" method=\"post\">
                      <input name=\"titol\" type=\"hidden\" value=\"" .
                      htmlspecialchars($_POST["titol"]) .
                      "\">
                      <input name=\"keywords\" type=\"hidden\" value=\"" .
                      htmlspecialchars($_POST["keywords"]) .
                      "\">
                      <input name=\"id1\" type=\"hidden\" value=\"" .
                      htmlspecialchars($_POST["id1"]) .
                      "\">
                      <input name=\"id2\" type=\"hidden\" value=\"" .
                      htmlspecialchars($_POST["id2"]) .
                      "\">
                      <input name=\"id3\" type=\"hidden\" value=\"" .
                      htmlspecialchars($_POST["id3"]) .
                      "\">
                      <input name=\"categoria\" type=\"hidden\" value=\"" .
                      htmlspecialchars($_POST["categoria"]) .
                      "\">
                      <input name=\"idioma\" type=\"hidden\" value=\"" .
                      htmlspecialchars($_POST["idioma"]) .
                      "\">
                      <input name=\"assignatures_rel\" type=\"hidden\" value=\"" .
                      htmlspecialchars($_POST["assignatures_rel"]) .
                      "\">
                      <input name=\"resum\" type=\"hidden\" value=\"" .
                      htmlspecialchars(format_all($_POST["resum"])) . "\">
                      &nbsp;&nbsp;<input type=\"image\" src=\"images/afegir.jpg\"></form>";
              }
        ?>
        <br><br>
        <input type="image" onClick="history.go(-1)" src="images/tornar.jpg">
        </blockquote></div>
        </td>
        <td align="left" valign="top" width="100">
          <br />
          <br />
          <br />
          <br />
          <a href="../desconectar.php" class="link2"><img src="images/tancar.jpg" border="0"></a>
        </td>
      </tr>
    </table>
  </body>
</html>

